#
# spec file for package liveMedia
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define _lto_cflags %{nil}

Name:           liveMedia
Version:        2012.02.04
Release:        1699.5.pm.5
Summary:        Tools from the LIVE555 Streaming Media project
License:        LGPL-2.1+
Group:          Productivity/Networking/Other
Url:            http://www.live555.com/liveMedia/
Source0:        http://www.live555.com/liveMedia/public/live.%{version}.tar.gz
Source1:        http://www.live555.com/liveMedia/public/changelog.txt
Patch1:		happy_gcc.diff
BuildRequires:  gcc-c++

%description
Tools from the LIVE555 Streaming Media project. It includes playSIP, openRTSP
and others.

%package -n libliveMedia-devel
Summary:        Libraries from live555.com
Group:          Development/Libraries/C and C++

%description -n libliveMedia-devel
Libraries for standards-based RTP/RTCP/RTSP/SIP multimedia streaming, suitable
for embedded and/or low-cost streaming applications.

%prep
%setup -q -n live
%patch -P 1 -p1 

%build
sed -i '/^COMPILE_OPTS/ s/-O2/%{optflags} -fPIC -DXLOCALE_NOT_USED/' config.linux
./genMakefiles linux
make %{?_smp_mflags}

%install
cp %{SOURCE1} ChangeLog

install -m 0755 -d '%{buildroot}%{_libdir}'
for f in BasicUsageEnvironment UsageEnvironment liveMedia groupsock; do
  install -m 0755 -d "%{buildroot}%{_includedir}/${f}"
  install -p -m 0644 "${f}/include/"*.h* "%{buildroot}%{_includedir}/${f}"
  install -p -m 0644 "${f}/lib${f}.a" '%{buildroot}%{_libdir}'
done

install -m 0755 -d '%{buildroot}%{_bindir}'
install -p -m 0755 mediaServer/live555MediaServer '%{buildroot}%{_bindir}'
install -m 0755 -d '%{buildroot}%{_docdir}/%{name}/examples'
install -p -m 0644 ChangeLog README '%{buildroot}%{_docdir}/%{name}'
install -p -m 0644 testProgs/*.sdp '%{buildroot}%{_docdir}/%{name}/examples'
install -p -m 0755 testProgs/* '%{buildroot}%{_bindir}'
rm -f %{buildroot}%{_bindir}/COPYING %{buildroot}%{_bindir}/Makefile* %{buildroot}%{_bindir}/*.{o,cpp,sdp,txt,h*}

%files
%defattr(-, root, root, 0755)
%doc %{_docdir}/%{name}
%{_bindir}/*

%files -n libliveMedia-devel
%defattr(0644, root, root, 0755)
%{_includedir}/BasicUsageEnvironment
%{_includedir}/UsageEnvironment
%{_includedir}/liveMedia
%{_includedir}/groupsock
%{_libdir}/*.a

%changelog
* Wed Oct  3 2012 jw@suse.de
- added happy_gcc.diff to avoid
  RTSPClient.hh:34:0: warning: "RTSPCLIENT_SYNCHRONOUS_INTERFACE" redefined
* Sun Mar  4 2012 jw@suse.de
- pulled from obs home:RedDwarf libliveMedia
* Mon Jul 27 2009 reddwarf@opensuse.org
- First package
